POST api/batchapi/add/enddryingstep
Request Information
URI Parameters
None.
Body Parameters
BatchMedistreamViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| batch_id | globally unique identifier |
Required |
|
| medistream_id | globally unique identifier |
Required |
|
| witness_id | globally unique identifier |
Required |
|
| compartment | integer |
Required |
|
| temp_max | decimal number |
None. |
|
| start_time | date |
None. |
|
| stop_time | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "fa915f97-8064-4a40-9a7a-9b96c5033253",
"batch_id": "901fc55b-ec4e-4864-b59c-7eb12f3b499e",
"medistream_id": "80a52f57-18a6-4010-8f06-4c72672c1f1c",
"witness_id": "61fc9106-c04a-4b57-b2f0-75af8bfdaa71",
"compartment": 1,
"temp_max": 1.1,
"start_time": "2026-03-07T07:29:09.7937656+00:00",
"stop_time": "2026-03-07T07:29:09.7937656+00:00"
}
application/xml, text/xml
Sample:
<batch_medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <batch_id>901fc55b-ec4e-4864-b59c-7eb12f3b499e</batch_id> <compartment>1</compartment> <id>fa915f97-8064-4a40-9a7a-9b96c5033253</id> <medistream_id>80a52f57-18a6-4010-8f06-4c72672c1f1c</medistream_id> <start_time>2026-03-07T07:29:09.7937656+00:00</start_time> <stop_time>2026-03-07T07:29:09.7937656+00:00</stop_time> <temp_max>1.1</temp_max> <witness_id>61fc9106-c04a-4b57-b2f0-75af8bfdaa71</witness_id> </batch_medistream>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"67da5070-467e-4815-b909-1a167a2b0908"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">67da5070-467e-4815-b909-1a167a2b0908</guid>